#include "CorePlayerStatusesContainerWidget.h"
#include "InputCoreTypes.h"
#include "UObject/ScriptInterface.h"

class ISpectateKillerIndicatorInterface;
class UCorePlayerStatusWidget;

void UCorePlayerStatusesContainerWidget::SetSpectatorSwapToggle(const bool isVisible, const FKey& key)
{

}

void UCorePlayerStatusesContainerWidget::SetSpectateKillerCount(const int32 count)
{

}

TScriptInterface<ISpectateKillerIndicatorInterface> UCorePlayerStatusesContainerWidget::GetSpectateKillerIndicatorAtIndex(const int32 index)
{
	return NULL;
}

UCorePlayerStatusWidget* UCorePlayerStatusesContainerWidget::GetPlayerStatusWidgetAtIndex(int32 index) const
{
	return NULL;
}

UCorePlayerStatusesContainerWidget::UCorePlayerStatusesContainerWidget()
{
	this->_spectateKillerIndicatorClass = NULL;
	this->_playerStatusWidgetClass = NULL;
}
